%define		mod_name	xsendfile
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: processing X-SENDFILE headers
Summary(pl.UTF-8):	Moduł Apache'a przetwarzający nagłówki X-SENDFILE
Name:		apache-mod_%{mod_name}
Version:	0.12
Release:	2
License:	Apache v2.0
Group:		Networking/Daemons/HTTP
Source0:	http://tn123.org/mod_xsendfile/mod_xsendfile-%{version}.tar.bz2
# Source0-md5:	4b83b0e1a0c043c4e76ee99685c35110
URL:		https://tn123.org/mod_xsendfile/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_xsendfile is a small Apache2 module that processes X-SENDFILE
headers registered by the original output handler. If it encounters
the presence of such header it will discard all output and send the
file specified by that header instead using Apache internals including
all optimizations like caching-headers and sendfile or mmap if
configured. It is useful for processing script-output of e.g. PHP,
Perl or any CGI.

%description -l pl.UTF-8
mod_xsendfile to mały moduł Apache'a 2 przetwarzający nagłówki
X-SENDFILE zarejestrowane przez oryginalną procedurę obsługi wyjścia.
Kiedy stwierdzi obecność takiego nagłówka, anuluje całe wyjście i
zamiast niego wysyła plik wskazany przez ten nagłówek przy użyciu
funkcji wewnętrznych Apache'a wraz ze wszystkimi optymalizacjami,
takimi jak buforowanie nagłówków i sendfile/mmap. Moduł ten jest
przydatny do przetwarzania wyjścia skryptów, np. PHP, Perla czy
dowolnego CGI.

%prep
%setup -q -n mod_xsendfile-%{version}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.la

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}
install -p .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
echo 'LoadModule %{mod_name}_module modules/mod_%{mod_name}.so' > \
    $RPM_BUILD_ROOT%{_sysconfdir}/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc docs/Readme.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Fri May 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_xsendfile.git;a=log;h=master

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> 4996560
- release 2 (by relup.sh)

* Wed Feb 20 2013 Elan Ruusamäe <glen@delfi.ee> 8b5da95
- up to 0.12, updated URL

* Fri Dec 09 2011 Elan Ruusamäe <glen@pld-linux.org> 47c2455
- fix config dir

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> e4dc1ae
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> ac78081
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> e5966d3
- BR s@%{apxs}@apache-apxs@g

* Tue May 22 2007 Elan Ruusamäe <glen@pld-linux.org> 86b0a96
- update to 0.9 (new directive: XSendFileAllowAbove)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1e60d61
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1717be0
- converted to UTF-8

* Fri Jun 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 4983f26
- pl

* Tue Jun 13 2006 Elan Ruusamäe <glen@pld-linux.org> 55faf3e
- bogus deps dropped

* Tue Jun 13 2006 Elan Ruusamäe <glen@pld-linux.org> 35d1673
- new

